# 43. क्वेरी: "Fields" प्राप्त करें

उपयोगकर्ता "Fields" प्राप्त करने के लिए क्वेरी, फिल्टर द्वारा `लेबल`, `farmUuid`, `fieldUuid`, `fieldName`. फील्ड कई नाम के अनुसार वर्णक्रमानुक्रम में लौटते हैं।&#x20;

फील्ड फ़िल्टर AND शर्त की तरह काम करता है, उदाहरण के लिए, द्वारा फ़िल्टर करना संभव है `farmUuid` और द्वारा `fieldUuid` और द्वारा `लेबल` और द्वारा `fieldName` एक ही क्वेरी में या केवल एक फ़िल्टर शर्त का उपयोग करें या कोई शर्त न उपयोग करें।&#x20;

द्वारा फ़िल्टर करें `fieldName` के रूप में काम करता है `begins_with`.&#x20;

पेजिनेशन लॉजिक लागू करने के लिए, क्वेरी पैरामीटर का उपयोग करें `pageSize`. इसमें `lastEvaluatedKey` और `totalCount` प्रतिक्रिया में हैं, जहाँ `lastEvaluatedKey` फिल्टर शर्त से मेल खाने के लिए अंतिम संसाधित रिकॉर्ड को संदर्भित करता है और `totalCount` उन रिकॉर्डों की कुल संख्या है जो फ़िल्टरिंग शर्तों से मेल खाते हैं।

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query FilterFields {
  getFields(
    filter: {
      farmUuid: "<placeholder_of_farm_uuid>"
      fieldUuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
      pageSize: 2
      lastEvaluatedKey: {
        SortKey: "<some_key>"
        PartitionKey: "<some_key>"
        TagString: "<some_key>"
      }
      fieldName: "Sample"
    }
  ) {
    fields {
      uuid
      area(unit: HECTARES)
      name
      labels {
        name
        value
      }
      totalCount
    }
    lastEvaluatedKey {
      SortKey
      PartitionKey
      TagString
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/43.-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
